Wiktionnaire:Questions techniques/novembre 2015

Définition, traduction, prononciation, anagramme et synonyme sur le dictionnaire libre Wiktionnaire.
Sauter à la navigation Sauter à la recherche

Page mensuelle des questions techniques posées en novembre 2015. Page précédente : octobre 2015Page suivante : décembre 2015Modifier ce cadre



MediaWiki:Gadget-SommaireDeveloppable.js merde sous Chrome[modifier le wikicode]

Cr46 + Win10 : les titres de sections s’affichent à la ligne suivante des contrôles [+] [-] [×]. C’est vraiment moche (ça prend 2 fois trop de lignes). Qqun aurait une idée comment corriger ça ? --GaAs 10 novembre 2015 à 21:00 (UTC)

NB : ça fonctionne correctement sous FF42 et sous Edge(où est planquée la version ?) --GaAs 10 novembre 2015 à 21:08 (UTC)
Que donne Firebug quand tu examine les styles calculés ou individuels pour les éléments mal positionnés (Ctrl+Maj+i sous Chrome, si je me souviens bien) ? (note : ce n’est absolument pas une promesse de m’intéresser de quelque façon que ce soit au problème et à sa résolution car j’en ai bien d’autres… c’est juste du « si jamais, peut-être, avec un peu de chance… ») — Eiku (d) 11 novembre 2015 à 00:45 (UTC)
En effet, Chrome et FF gèrent les "display:table-cell" un peu différemment : j’ai donc modifié en "display:inline" [1], ça m’a semblé la meilleure solution. Ça touchait aussi Safari/Opera qui se basent sur le même moteur de rendu que Chrome (ou presque). — Automatik (discussion) 11 novembre 2015 à 03:36 (UTC)
OK pour moi sous FF, Cr et Edge (en vidant le cache à chaque fois), merci Automatik. --79.81.159.15 13 novembre 2015 à 19:44 (UTC) Excusez-moi, je travaille sur deux ordinateurs en même temps, alors 79.* c’est moi. --GaAs 13 novembre 2015 à 19:57 (UTC) Ouf, je n’ai pas utilisé l’adresse IP de mon employeur… Avec les VPN en cascade, c’est si facile de se mélanger les crayons… --GaAs 13 novembre 2015 à 20:49 (UTC)

Arrêt du support d'IE[modifier le wikicode]

En passant, je suggère très fortement que nous arrêtions de supporter IE dans nos codes, et qu’à l’instar de Microsoft nous ne supportions désormais plus que Edge. Nous n’avons pas assez de ressources pour perdre notre temps à être compatibles avec les dinosaures.

De tte façon, si on se contente de ne plus s’occuper de la compatibilité IE sans toucher à l’existant, les problèmes de compatibilité ne devraient pas apparaître plus vite que la disparition des utilisateurs d’IE (Microsoft s’en occupe). --GaAs 10 novembre 2015 à 21:26 (UTC)

Ça tombe bien j'avais déjà arrêté depuis la dernière vague d'extinction de masse des gadgets (je me retiens d'en parler dans la Meta "wishlist"). JackPotte ($) 10 novembre 2015 à 22:21 (UTC)
Ça ne tiendrait qu’à moi, on serait tous sur firefox, mais bon, je suis d’accord pour qu'on arrête de se faire mal avec l’obsolescence des navigateurs… --— Lyokoï (Parlons Mort de rire) 11 novembre 2015 à 12:48 (UTC)

Voir meta:Tech/News/2015/47 : Internet Explorer 8 will no longer have JavaScript support. --GaAs 15 novembre 2015 à 10:49 (UTC)

Boite Babel[modifier le wikicode]

Bonjour CathFR (d · c · b) m’a posé une question sur ma page de discussion. Quelqu’un saurit-il y répondre ? Pamputt [Discuter] 11 novembre 2015 à 09:56 (UTC)

J’avais travaillé un peu sur les boites babel à l’époque, mais pour autant que je sache, il n’est pas possible d’écraser la valeur par défaut des modèles de langue ; par contre il est possible de créer un nouveau modèle, genre modèle:User ku-2-ar, qui pourra alors être utilisé sans être écrasé par le modèle par défaut. — Automatik (discussion) 11 novembre 2015 à 12:23 (UTC)
S’il n’est pas possible d’écraser la valeur par défaut des modèles de langue, cela signifie que ces modèles ne sont pas des modèles par défaut mais des modèles obligatoires. De ce point de vue, l’extension ne présente donc un intérêt que lorsqu’un modèle n’existe pas localement. Pour pouvoir utiliser d’autres modèles, 3 solutions s’offrent à moi :
  • Créer un nouveau modèle, mais le nom de ce modèle ne rentrera pas dans le schéma habituel.
  • Utiliser le modèle Babel, mais celui-ci est désuet...
  • Modifier le modèle de Wikicommons, mais cela va modifier des boîtes Babel dans de nombreux Wiki.
À votre avis, quelle est la meilleure solution ? — CathFR (discussion) 12 novembre 2015 à 13:36 (UTC)
Je me reprends : en fait non, ce n’est pas un modèle par défaut ou obligatoire, il semble plutôt que ce soit le choix que tu aies fait en 2012 : MediaWiki:Babel-2-n/ku. — Automatik (discussion) 12 novembre 2015 à 15:16 (UTC)
J’avais créé ce modèle lorsqu’ArséniureDeGallium (d · c · b) avait changé le modèle de Babel sur ma page. Je ne m’en souvenais même pas ! Les modèles de ce type sont-ils encore utilisés maintenant ? Si MediaWiki:Babel-2-n/ku n’existait pas, Modèle:User ku-2 serait-il pris en compte par {{#babel:}} ? — CathFR (discussion) 12 novembre 2015 à 20:54 (UTC)
Je viens de tester en supprimant MediaWiki:Babel-2-n/ku, et apparemment ça ne marche pas : pour les modèles de langue destinées à #babel, il faut utiliser semble-t-il l’espace MediaWiki. (J’ai donc restauré la page après le test.) — Automatik (discussion) 12 novembre 2015 à 22:14 (UTC)
J’ai modifié le code de MediaWiki:Babel-2-n/ku pour ajouter le texte en caractères arabes. Ça fonctionne ! Merci pour ton aide. Le seul problème est que je n’ai pas pu utiliser les paramètres $1 et $2 car ils se plaçaient à l'envers. Je me demande aussi quelle est l’utilité de nos modèles du type Modèle:User codelangue-niveau, dans la mesure où la plupart des modèles sont définis sur Wikicommons. — CathFR (discussion) 13 novembre 2015 à 12:45 (UTC)
Les modèles du type Modèle:User codelangue-niveau sont à {{Babel}} ce que Mediawiki:Babel-<niveau>-n/<code langue> sont à #babel. Pour Wikicommons, je ne vois pas le rapport ? Si un message Babel n’est pas défini ici, il est récupéré de TranslateWiki, pas de Commons autant que je sache. Par exemple, nous n’avons pas le message MediaWiki:Babel-2-n/fr, il est donc récupéré de TranslateWiki. — Automatik (discussion) 13 novembre 2015 à 14:43 (UTC)

MediaWiki:Gadget-*** et smarphones[modifier le wikicode]

Bonsoir. L’été dernier, le Père Noel (qui s’ennuyait en pleine période creuse) m’a payé un machin qui parait-il peut accessoirement servir à téléphoner. Mais surtout qui permet de consulter le Wiktionnaire, si je le veux.

Alors je me demande si ça vaut le coup de se faire ch** à développer des gadgets javascript supercools mais que les smartphoneurs ne verront pas de toute façon

--GaAs 19 novembre 2015 à 19:24 (UTC)

La version mobile n'affiche même pas les catégories, heureusement que les navigateurs proposent de basculer en mode "bureau" (tout en bas du site). JackPotte ($) 19 novembre 2015 à 20:42 (UTC)

[modifier le wikicode]

Sous FF 42.0 [edit : +Win10] (mais ça avait commencé avant) le logo en haut à gauche ne s’affiche pas. Tout fout le camp… --GaAs 23 novembre 2015 à 22:21 (UTC)

RAS chez moi avec la même configuration. JackPotte ($) 23 novembre 2015 à 23:27 (UTC)

Je suis toujours dans l'impossibilité de répondre sur Flow[modifier le wikicode]

Salut. Pourriez-vous prévenir Trizek, parce que moi je ne peux pas.

Idem FF et Cr (pas réessayé récemment sur les autres).

Sinon je reste très favorable au basculement de WT:QM en Flow. D’ailleurs, dans l’état actuel, tout le monde sera ravi, puisque GaAs ne pourra plus y accéder.Mort de rire --GaAs 26 novembre 2015 à 19:02 (UTC)

Naaaaon, GaAs censuré !?! GaAs limité !?! GaAs outragé !?! mais GaAs libéré… --— Lyokoï (Parlons Mort de rire) 26 novembre 2015 à 19:35 (UTC)